<div class="form-group">
	@if(isset($label))
		<label for="{{ $id ?? $name }}">{{ $label }}</label>
	@endisset
	<div class="input-group has-validation">
		@isset($icon)
			<div class="input-group-prepend">
				<span class="input-group-text"><i class="fas fa-fw {{ $icon }}"></i></span>
			</div>
		@endisset()
		{{ $slot }}
		<span class="invalid-feedback" role="alert">
			@error($name)
				{{ $message }}
			@enderror
		</span>
	</div>
</div>